
<%@ page import="fr.exemples.gproducts.Produit" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="ajax" />
        <g:set var="entityName" value="${message(code: 'produit.label', default: 'Produit')}" />
        <title><g:message code="default.show.label" args="[entityName]" /></title>
        <g:setProvider library="jquery"/>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
            <span class="menuButton"><g:remoteLink update="body" class="list" action="list"><g:message code="default.list.label" args="[entityName]" /></g:remoteLink></span>
            <span class="menuButton"><g:remoteLink update="body" class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:remoteLink></span>
        </div>
        <div class="body">
            <h1><g:message code="default.show.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <div class="dialog">
                <table>
                    <tbody>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="produit.id.label" default="Id" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: produitInstance, field: "id")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="produit.nom.label" default="Nom" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: produitInstance, field: "nom")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="produit.description.label" default="Description" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: produitInstance, field: "description")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="produit.image.label" default="Image" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: produitInstance, field: "image")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="produit.prix.label" default="Prix" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: produitInstance, field: "prix")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="produit.categorie.label" default="Categorie" /></td>
                            
                            <td valign="top" class="value"><g:remoteLink update="body" controller="categorie" action="show" id="${produitInstance?.categorie?.id}">${produitInstance?.categorie?.encodeAsHTML()}</g:remoteLink></td>
                            
                        </tr>
                    
                    </tbody>
                </table>
            </div>
            <div class="buttons">
                <g:form>
                    <span class="button"><g:submitToRemote id="${produitInstance?.id}" update="body" class="edit" action="edit" value="${message(code: 'default.button.edit.label', default: 'Edit')}" /></span>
                    <span class="button"><g:submitToRemote id="${produitInstance?.id}" update="body" class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" before="if(!confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}')) return false;" /></span>
                </g:form>
            </div>
        </div>
    </body>
</html>
