import fr.exemples.gproducts.Categorie 
import fr.exemples.gproducts.Produit 

class BootStrap {

     def init = { servletContext ->
		def ordinateurs = new Categorie(nom : "Ordinateurs de bureau", 
				description : "Catégorie des ordinateurs de bureau.", 
				ordre:1, 
				image:"").save();
		ordinateurs.save();
		
		def portables = new Categorie(nom : "Ordinateurs portables", 
				description : "Catégorie des ordinateurs portables.", 
				ordre:2, 
				image:"");
		portables.save();
		
		def accessoires = new Categorie(nom : "Accessoires", 
				description : "Catégorie des accessoires pour ordinateur.", 
				ordre:3, 
				image:"");
		accessoires.save();
		
		new Categorie(nom : "Téléphones mobile", description : "Catégorie des téléphones mobiles.", ordre:4, image:"").save();
		new Categorie(nom : "PDA", description : "Catégorie des PDA.", ordre:5, image:"").save();
		new Categorie(nom : "Appareil photo", description : "Catégorie des appareils photo.", ordre:6, image:"").save();
		new Categorie(nom : "Imprimantes", description : "Catégorie des iprimantes.", ordre:7, image:"").save();
		new Categorie(nom : "Scanners", description : "Catégorie des scanners.", ordre:8, image:"").save();
		new Categorie(nom : "Sacoche de pc portable", description : "Catégorie des sacoche de pc portable.", ordre:9, image:"").save();
		new Categorie(nom : "Lecteurs multimédia",description : "Catégorie des lecteurs multimédia.", ordre:10, image:"").save();
		new Categorie(nom : "Disques durs externes",description : "Catégorie des disques durs externes.", ordre:11, image:"").save();
		new Categorie(nom : "Clés USB",description : "Catégorie des clés USB.", ordre:12, image:"").save();
		
		new Produit (nom :"PACKARD BELL iMedia A4365 FR", 
				description:"PACKARD BELL iMedia A4365 FR",
				image:"PACKARD_BELL_iMedia_A4365_FR.jpg", 
				prix:447, 
				categorie:ordinateurs).save();
		new Produit (nom :"HP TouchSmart 300-1025fr", 
				description:"HP TouchSmart 300-1025fr",
				image:"HP_TouchSmart_300-1025fr.jpg", 
				prix:750, 
				categorie:ordinateurs).save();
		new Produit (nom :"ASUS EeeTop PC ET2002T-B0037 tactile", 
				description:"ASUS EeeTop PC ET2002T-B0037 tactile",
				image:"", 
				prix:561, 
				categorie:ordinateurs).save();
		
		new Produit (nom :"DELL Inspiron 1470-8471", 
				description:"DELL Inspiron 1470-8471",
				image:"DELL_Inspiron_1470-8471.jpg", 
				prix:569, 
				categorie:portables).save();
		new Produit (nom :"ASUS X70AC-TY033V", 
				description:"ASUS X70AC-TY033V",
				image:"ASUS_X70AC-TY033V.jpg", 
				prix:499, 
				categorie:portables).save();
		new Produit (nom :"Sony Netbook VAIO VPC-W11S1E/T", 
				description:"Sony Netbook VAIO VPC-W11S1E/T",
				image:"Son_Netbook_VAIO_VPC-W11S1E_T.jpg", 
				prix:365, 
				categorie:portables).save();
     }
     def destroy = {
     }
} 