
<%@ page import="fr.exemples.gproducts.Categorie" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="ajax" />
        <g:set var="entityName" value="${message(code: 'categorie.label', default: 'Categorie')}" />
        <title><g:message code="default.create.label" args="[entityName]" /></title>
        <g:setProvider library="jquery"/>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
            <span class="menuButton"><g:remoteLink update="body" class="list" action="list"><g:message code="default.list.label" args="[entityName]" /></g:remoteLink></span>
        </div>
        <div class="body">
            <h1><g:message code="default.create.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${categorieInstance}">
            <div class="errors">
                <g:renderErrors bean="${categorieInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:formRemote name="formCreationProduit" url="[controller:'categorie', action:'save']" update="body" method="post" >
                <div class="dialog">
                    <table>
                        <tbody>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="nom"><g:message code="categorie.nom.label" default="Nom" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: categorieInstance, field: 'nom', 'errors')}">
                                    <g:textField name="nom" value="${categorieInstance?.nom}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="description"><g:message code="categorie.description.label" default="Description" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: categorieInstance, field: 'description', 'errors')}">
                                    <g:textField name="description" value="${categorieInstance?.description}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="image"><g:message code="categorie.image.label" default="Image" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: categorieInstance, field: 'image', 'errors')}">
                                    <g:textField name="image" value="${categorieInstance?.image}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                    <label for="ordre"><g:message code="categorie.ordre.label" default="Ordre" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: categorieInstance, field: 'ordre', 'errors')}">
                                    <g:textField name="ordre" value="${categorieInstance?.ordre}" />
                                </td>
                            </tr>
                        
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:submitButton name="create" class="save" value="${message(code: 'default.button.create.label', default: 'Create')}" /></span>
                </div>
            </g:formRemote>
        </div>
    </body>
</html>
