
<%@ page import="fr.exemples.gproducts.Categorie" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="ajax" />
        <g:set var="entityName" value="${message(code: 'categorie.label', default: 'Categorie')}" />
        <title><g:message code="default.edit.label" args="[entityName]" /></title>
        <g:setProvider library="jquery"/>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
            <span class="menuButton"><g:remoteLink update="body" class="list" action="list"><g:message code="default.list.label" args="[entityName]" /></g:remoteLink></span>
            <span class="menuButton"><g:remoteLink update="body" class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:remoteLink></span>
        </div>
        <div class="body">
            <h1><g:message code="default.edit.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${categorieInstance}">
            <div class="errors">
                <g:renderErrors bean="${categorieInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:formRemote name="updateForm" update="body" url="[controller:'categorie', action:'update']" method="post" >
                <g:hiddenField name="id" value="${categorieInstance?.id}" />
                <g:hiddenField name="version" value="${categorieInstance?.version}" />
                <div class="dialog">
                    <table>
                        <tbody>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="nom"><g:message code="categorie.nom.label" default="Nom" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: categorieInstance, field: 'nom', 'errors')}">
                                    <g:textField name="nom" value="${categorieInstance?.nom}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="description"><g:message code="categorie.description.label" default="Description" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: categorieInstance, field: 'description', 'errors')}">
                                    <g:textField name="description" value="${categorieInstance?.description}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="image"><g:message code="categorie.image.label" default="Image" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: categorieInstance, field: 'image', 'errors')}">
                                    <g:textField name="image" value="${categorieInstance?.image}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="ordre"><g:message code="categorie.ordre.label" default="Ordre" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: categorieInstance, field: 'ordre', 'errors')}">
                                    <g:textField name="ordre" value="${categorieInstance?.ordre}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="produits"><g:message code="categorie.produits.label" default="Produits" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: categorieInstance, field: 'produits', 'errors')}">
                                    
<ul>
<g:each in="${categorieInstance?.produits?}" var="p">
    <li><g:remoteLink update="body" controller="produit" action="show" id="${p.id}">${p?.encodeAsHTML()}</g:remoteLink></li>
</g:each>
</ul>
<g:remoteLink update="body" controller="produit" action="create" params="['categorie.id': categorieInstance?.id]">${message(code: 'default.add.label', args: [message(code: 'produit.label', default: 'Produit')])}</g:remoteLink>

                                </td>
                            </tr>
                        
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:actionSubmit class="save" action="update" value="${message(code: 'default.button.update.label', default: 'Update')}" /></span>
                    <span class="button"><g:submitToRemote id="${categorieInstance?.id}" update="body" class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" before="if(!confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}')) return false;" /></span>
                </div>
            </g:formRemote>
        </div>
    </body>
</html>
