
<%@ page import="fr.exemples.gproducts.Categorie" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="ajax" />
        <g:set var="entityName" value="${message(code: 'categorie.label', default: 'Categorie')}" />
        <title><g:message code="default.list.label" args="[entityName]" /></title>
        <g:setProvider library="jquery"/>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
            <span class="menuButton"><g:remoteLink update="body" class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:remoteLink></span>
        </div>
        <div class="body">
            <h1><g:message code="default.list.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <div class="list">
                <table>
                    <thead>
                        <tr>
                            <util:remoteSortableColumn update="body" action="list" property="id" title="${message(code: 'categorie.id.label', default: 'Id')}" />
                            <util:remoteSortableColumn update="body" action="list" property="nom" title="${message(code: 'categorie.nom.label', default: 'Nom')}" />
                            <util:remoteSortableColumn update="body" action="list" property="description" title="${message(code: 'categorie.description.label', default: 'Description')}" />
                            <util:remoteSortableColumn update="body" action="list" property="image" title="${message(code: 'categorie.image.label', default: 'Image')}" />
                            <util:remoteSortableColumn update="body" action="list" property="ordre" title="${message(code: 'categorie.ordre.label', default: 'Ordre')}" />
                        </tr>
                    </thead>
                    <tbody>
                    <g:each in="${categorieInstanceList}" status="i" var="categorieInstance">
                        <tr class="${(i % 2) == 0 ? 'odd' : 'even'}">
                            <td><g:remoteLink update="body" action="show" id="${categorieInstance.id}">${fieldValue(bean: categorieInstance, field: "id")}</g:remoteLink></td>
                            <td>${fieldValue(bean: categorieInstance, field: "nom")}</td>
                            <td>${fieldValue(bean: categorieInstance, field: "description")}</td>
                            <td>${fieldValue(bean: categorieInstance, field: "image")}</td>
                            <td>${fieldValue(bean: categorieInstance, field: "ordre")}</td>
                        </tr>
                    </g:each>
                    </tbody>
                </table>
            </div>
            <div class="paginateButtons">
                <util:remotePaginate update="body" action="list" total="${categorieInstanceTotal}" />
            </div>
        </div>
    </body>
</html>
