
<%@ page import="fr.exemples.gproducts.Produit" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="ajax" />
        <g:set var="entityName" value="${message(code: 'produit.label', default: 'Produit')}" />
        <title><g:message code="default.edit.label" args="[entityName]" /></title>
        <g:setProvider library="jquery"/>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}">Home</a></span>
            <span class="menuButton"><g:remoteLink update="body" class="list" action="list"><g:message code="default.list.label" args="[entityName]" /></g:remoteLink></span>
            <span class="menuButton"><g:remoteLink update="body" class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:remoteLink></span>
        </div>
        <div class="body">
            <h1><g:message code="default.edit.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${produitInstance}">
            <div class="errors">
                <g:renderErrors bean="${produitInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:formRemote name="updateForm" update="body" url="[controller:'produit', action:'update']" method="post" >
                <g:hiddenField name="id" value="${produitInstance?.id}" />
                <g:hiddenField name="version" value="${produitInstance?.version}" />
                <div class="dialog">
                    <table>
                        <tbody>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="nom"><g:message code="produit.nom.label" default="Nom" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: produitInstance, field: 'nom', 'errors')}">
                                    <g:textField name="nom" value="${produitInstance?.nom}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="description"><g:message code="produit.description.label" default="Description" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: produitInstance, field: 'description', 'errors')}">
                                    <g:textField name="description" value="${produitInstance?.description}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="image"><g:message code="produit.image.label" default="Image" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: produitInstance, field: 'image', 'errors')}">
                                    <g:textField name="image" value="${produitInstance?.image}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="prix"><g:message code="produit.prix.label" default="Prix" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: produitInstance, field: 'prix', 'errors')}">
                                    <g:textField name="prix" value="${fieldValue(bean: produitInstance, field: 'prix')}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="categorie"><g:message code="produit.categorie.label" default="Categorie" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: produitInstance, field: 'categorie', 'errors')}">
                                    <g:select name="categorie.id" from="${fr.exemples.gproducts.Categorie.list()}" optionKey="id" value="${produitInstance?.categorie?.id}"  />
                                </td>
                            </tr>
                        
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:actionSubmit class="save" action="update" value="${message(code: 'default.button.update.label', default: 'Update')}" /></span>
                    <span class="button"><g:submitToRemote id="${produitInstance?.id}" update="body" class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" before="if(!confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}')) return false;" /></span>
                </div>
            </g:formRemote>
        </div>
    </body>
</html>
